﻿<%@ WebHandler Language="C#" Class="asi" %>
using System;
using System.Web;
using System.IO;
using Newtonsoft.Json.Linq;
using Newtonsoft.Json;
using System.Data;


public class asi : IHttpHandler
{

    public void ProcessRequest(HttpContext context)
    {
        context.Response.AddHeader("Access-Control-Allow-Origin", "*");
        context.Response.AddHeader("Access-Control-Allow-Methods", "GET, POST");
        context.Response.AddHeader("Access-Control-Allow-Headers", "Content-Type, Accept");
        context.Response.ContentType = "application/json";
        WebResponse response = new WebResponse();
        try
        {
            if (!WebUser.CanXML())
            {
                context.Response.StatusCode = (int)System.Net.HttpStatusCode.BadRequest;
                response.error = "Web2Print is not enabled for this account";
                context.Response.Write("Web2Plan Not Enabled");
                return;
            }

            if (context.Request.RequestType == "GET" || context.Request.RequestType == "POST")
            {

                //DataTable Web2PrintTb = DataBase.GetDataTable("SELECT * FROM Web2Print");
                //DataRow W2Prow = Web2PrintTb.Rows[0];
                //string SecretKey = W2Prow["SecretKey"].ToString();
                //string key = context.Request.QueryString["key"] == null ? "" : context.Request.QueryString["key"].ToString();

                //if (SecretKey == "")
                //{
                //    response.error = "Secret key needs to be set inside of Printers Plan";
                //    context.Response.StatusCode = (int)System.Net.HttpStatusCode.InternalServerError;
                //    context.Response.Write(JsonConvert.SerializeObject(response));
                //    return;
                //}

                //if (key != SecretKey)
                //{
                //    response.error = "Secret key does not match";
                //    context.Response.StatusCode = (int)System.Net.HttpStatusCode.BadRequest;
                //    context.Response.Write(JsonConvert.SerializeObject(response));
                //    return;
                //}

                if (context.Request.RequestType == "GET")
                {

                }
                else
                {
                    var requestBody = string.Empty;
                    using (StreamReader reader = new StreamReader(context.Request.InputStream))
                    {
                        context.Request.InputStream.Position = 0;                                   //We need to set the Stream position to 0 before ReadToEnd otherwise we get a null requestBody
                        requestBody = context.Server.UrlDecode(reader.ReadToEnd());
                        Files.WriteErrorLog(DateTime.Now.ToString("MM/dd/yyyy h:mm tt") + " - ASI BODY: Internal Server error/n Json: " + requestBody, "_ASIWebhookLog");
                            response.isSuccessful = true;

                    }

                    //JObject Json = new JObject();
                    //try
                    //{
                    //    Json = JObject.Parse(requestBody);
                    //}
                    //catch (Exception ex)
                    //{
                    //    context.Response.StatusCode = (int)System.Net.HttpStatusCode.InternalServerError;
                    //    response.error = ex.Message;
                    //    context.Response.Write(JsonConvert.SerializeObject(response));
                    //    return;
                    //}

                }

                if (response.isSuccessful) //Log a success if a no error
                {
                    //Files.WriteErrorLog(DateTime.Now.ToString("MM/dd/yyyy h:mm tt ") + InvoiceID + " invoice paid - Amount: " + AmountPaid, "_PrintReachPayWebhookLog");
                    context.Response.StatusCode = (int)System.Net.HttpStatusCode.OK;
                    context.Response.Write(JsonConvert.SerializeObject(response));
                    return;
                }
                else
                {
                    context.Response.StatusCode = (int)System.Net.HttpStatusCode.InternalServerError;
                    context.Response.Write(JsonConvert.SerializeObject(response));
                    return;
                }

            }
            else
            {
                context.Response.StatusCode = (int)System.Net.HttpStatusCode.MethodNotAllowed;
                response.error = "This listener does not support this request type";
                context.Response.Write(JsonConvert.SerializeObject(response));
                return;
            }
        }
        catch (Exception e)
        {

            context.Response.StatusCode = (int)System.Net.HttpStatusCode.BadRequest;
            response.error = e.Message;
            context.Response.Write(JsonConvert.SerializeObject(response));
        }
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}