﻿<%@ page title="Login" language="C#" autoeventwireup="true" inherits="Login, App_Web_35x1ifo4" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">

<head runat="server">
    <title>PlanWeb Login</title>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <!-- ========================================= planweb icon =================================================== -->
    <link href="~/favicon.ico" rel="shortcut icon" type="image/x-icon" />

    <!-- ========================================= JQUERY =================================================== -->
    <link rel="Stylesheet" href="//ajax.aspnetcdn.com/ajax/jquery.ui/1.8.10/themes/smoothness/jquery-ui.css" />
    <script type="text/javascript" src="//ajax.aspnetcdn.com/ajax/jQuery/jquery-2.2.3.min.js"></script>
    <script type="text/javascript" src="//ajax.aspnetcdn.com/ajax/jquery.ui/1.11.4/jquery-ui.min.js"></script>

    <!-- ========================================= BOOTSTRAP =================================================== -->
    <link rel="stylesheet" href="//ajax.aspnetcdn.com/ajax/bootstrap/3.3.6/css/bootstrap.min.css" />
    <script type="text/javascript" src="//ajax.aspnetcdn.com/ajax/bootstrap/3.3.6/bootstrap.min.js"></script>

    <!-- ========================================= FONT =================================================== -->
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" />

    <!-- ========================================= LOCAL / FALLBACK IF NO INTERNET =================================================== -->
    <script type="text/javascript">
        if (typeof jQuery == 'undefined') {
            document.write(unescape('%3Clink rel="stylesheet" type="text/css" href="FallBack/jquery-ui.css" /%3E'));
            document.write(unescape('%3Cscript type="text/javascript" src="FallBack/jquery.js" %3E%3C/script%3E'));
            document.write(unescape('%3Cscript type="text/javascript" src="FallBack/jquery-ui.js" %3E%3C/script%3E'));

            document.write(unescape('%3Clink rel="stylesheet" type="text/css" href="FallBack/bootstrap.css" /%3E'));
            document.write(unescape('%3Cscript type="text/javascript" src="FallBack/bootstrap.js" %3E%3C/script%3E'));

            document.write(unescape('%3Clink rel="stylesheet" type="text/css" href="FallBack/font-awesome.css" /%3E'));
            //make sure FontAwesome.otf is installed (see the FallBack folder)
        }
    </script>

    <!-- ========================================= local planweb stylesheets =================================================== -->
    <link rel="stylesheet" href="Styles/pw1-bstrap.css" />
    <link rel="stylesheet" href="Styles/pw2-basics.css" />
    <link rel="stylesheet" href="Styles/pw3-colors.css" />
    <script src="Scripts/planweb.js"></script>

</head>

<body>
    <form runat="server" defaultbutton="LoginBtn" defaultfocus="EmailAddress">

        <!-- ========================================= menu navbar-inverse =================================================== -->
        <div class="navbar navbar-fixed-top navbar-inverse">
            <ul class="nav navbar-nav">
                <li><a class="navbar-brand" role="button" href="#moreinfo-modal" data-toggle="modal">
                    <asp:Literal ID="BrandName" runat="server"></asp:Literal>
                </a></li>
            </ul>
        </div>

        <!-- ========================================= content =================================================== -->
        <div class="container-fluid pp-content">

            <!-- ========================================= logo =================================================== -->
            <div class="text-center h1">
                <p>
                    <asp:Literal ID="PageHead" runat="server" /></p>
                <asp:Image ID="CompanyLogo" runat="server" CssClass="pp-logo" />
            </div>

            <!-- ========================================= demo =================================================== -->
            <asp:Panel ID="DemoPanel" runat="server">
                <div class="container text-center">
                    <div class="row">
                        <%-- Buyers --%>
                        <div class="col-lg-1"></div>
                        <div class="col-sm-6 col-lg-5">
                            <h3>Demo as a Print Buyer </h3>
                            <asp:ImageButton ID="ImageButton1" runat="server" CssClass="img-thumbnail pp-demo-img" CommandArgument="41-103" ImageUrl="~/App_Themes/SampleView/41.jpg"
                                OnClick="OnThemeBtn" ToolTip="I'm a Print Buyer" />
                            <div class="row">
                                <div class="col-xs-6">
                                    <asp:ImageButton ID="BuyerBtn1" runat="server" CssClass="img-thumbnail pp-demo-img" CommandArgument="32-3" ImageUrl="~/App_Themes/SampleView/32.jpg"
                                        OnClick="OnThemeBtn" ToolTip="Buyer 32-3" />
                                </div>
                                <div class="col-xs-6">
                                    <asp:ImageButton ID="BuyerBtn2" runat="server" CssClass="img-thumbnail pp-demo-img" CommandArgument="40-19" ImageUrl="~/App_Themes/SampleView/40.jpg"
                                        OnClick="OnThemeBtn" ToolTip="Buyer 40-19" />
                                </div>
                            </div>
                        </div>

                        <%-- Sellers --%>
                        <div class="col-sm-6 col-lg-5">
                            <h3>Demo as a Print Provider</h3>
                            <asp:ImageButton ID="ImageButton2" runat="server" CssClass="img-thumbnail pp-demo-img" CommandArgument="1-201" ImageUrl="~/App_Themes/SampleView/1-201.jpg"
                                OnClick="OnThemeBtn" ToolTip="I'm a Print Provider" />
                            <div class="row">
                                <div class="col-xs-6">
                                    <asp:ImageButton ID="SellerBtn1" runat="server" CssClass="img-thumbnail pp-demo-img" CommandArgument="1-202" ImageUrl="~/App_Themes/SampleView/1-202.jpg"
                                        OnClick="OnThemeBtn" ToolTip="Sales Rep 1-202" />
                                </div>
                                <div class="col-xs-6">
                                    <asp:ImageButton ID="SellerBtn2" runat="server" CssClass="img-thumbnail pp-demo-img" CommandArgument="1-101" ImageUrl="~/App_Themes/SampleView/1-101.jpg"
                                        OnClick="OnThemeBtn" ToolTip="CSR 1-101" />
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-1"></div>
                    </div>
                </div>
            </asp:Panel>

            <!-- ========================================= login =================================================== -->
            <asp:Panel ID="LoginPanel" runat="server" CssClass="">
                <div class="pp-panel pp-login-panel">
                    <h2 class="text-center">Please log in</h2>
                    <div class="pp-panel-body">
                        <asp:Literal runat="server" ID="LoginError" />
                        <div class="form-group">
                            <asp:Label runat="server" ID="EmailLabel" AssociatedControlID="EmailAddress" CssClass="control-label">Email</asp:Label>
                            <asp:TextBox runat="server" ID="EmailAddress" CssClass="form-control " placeholder="" />
                        </div>
                        <div class="form-group">
                            <asp:Label runat="server" ID="PasswordLabel" AssociatedControlID="Password" CssClass="control-label">Password</asp:Label>
                            <asp:TextBox runat="server" ID="Password" TextMode="Password" CssClass="form-control" placeholder="" />
                        </div>
                        <div class="form-group">
                            <div>
                                <asp:Button ID="LoginBtn" runat="server" OnClick="OnLogin" Text="Log in" CssClass="btn btn-info " />
                                <asp:LinkButton ID="ForgotBtn" runat="server" Text="Forgot your password?" OnClick="OnForgotPassord" CssClass="btn btn-default btn-sm pull-right" />
                                <asp:LinkButton ID="SubmitBtn" runat="server" Text="Submit" OnClick="OnRequestPassword" CssClass="btn btn-default" Visible="False" />
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>

            <!-- ========================================= CustomPanel =================================================== -->
            <asp:Panel ID="MailtoPanel" runat="server" CssClass="" Visible="false">
                <div class="pp-margin-auto text-center">
                    <asp:LinkButton ID="MailtoBtn" runat="server" Text="" CssClass="btn btn-default" href="mailto:paul@printersplan.com?Subject=Change%20my%20password&Body=Please change my password to: " />
                </div>
            </asp:Panel>

            <div class="text-center pp-pad h4">
                <asp:Literal ID="PageNote" runat="server" />
            </div>

            <div class="pp-margin text-center">
                <asp:LinkButton runat="server" ID="ShowLogin" CssClass="btn btn-default btn-sm" OnClick="OnShowLogin" ToolTip="Simulate actual login with email and password" />
            </div>
        </div>

        <!-- ========================================= foot =================================================== -->
        <div class="pp-foot hidden-print">
            <asp:Literal ID="Copyright" runat="server" />
        </div>

        <!-- ========================================= modal about =================================================== -->
        <div class="modal fade" id="moreinfo-modal" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><i class="fa fa-close"></i></button>
                        <h2 class="modal-title">
                            <asp:Literal ID="AboutHead" runat="server" /></h2>
                    </div>
                    <div class="modal-body">
                        <asp:Literal ID="AboutBody" runat="server" />
                    </div>
                </div>
            </div>
        </div>

    </form>
</body>
</html>

